Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uky.kcr.recordlinkage
Class LinkageController

    java.lang.Object
      edu.uky.kcr.recordlinkage.LinkageController

    public class LinkageController

extends java.lang.Object

LinkageController serves as a factory for creating `LinkageDataSource`, `LinkageEngine`, and `LinkageConfiguration` objects.

Author:
  ihands

Constructor Summary
`LinkageController()`

Method Summary
`LinkageDataSource` | `createDataSource(java.io.File file)`
`LinkageDataSource` | `createDataSource(java.io.File file, java.lang.String[] idColumns)`
`LinkageDataSource` | `createDataSource(org.json.JSONArray array)`
`LinkageDataSource` | `createDataSource(java.util.Properties properties)`
`LinkageConfiguration` | `createLinkageConfiguration(java.io.File file)`
`LinkageConfiguration` | `createLinkageConfiguration(org.json.JSONObject jsonObject)`
`LinkageEngine` | `getLinkageEngine(LinkageConfiguration linkageConfiguration)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LinkageController

    public LinkageController()

Method Detail

### getLinkageEngine

    public LinkageEngine getLinkageEngine(LinkageConfiguration linkageConfiguration)
                                   throws LinkageException

  Throws:
    `LinkageException`

### createDataSource

    public LinkageDataSource createDataSource(java.io.File file,
                                              java.lang.String[] idColumns)
                                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### createDataSource

    public LinkageDataSource createDataSource(java.io.File file)
                                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### createLinkageConfiguration

    public LinkageConfiguration createLinkageConfiguration(java.io.File file)
                                                    throws org.xml.sax.SAXException,
                                                           java.io.IOException,
                                                           javax.xml.parsers.ParserConfigurationException

  Throws:
    `org.xml.sax.SAXException`
    `java.io.IOException`
    `javax.xml.parsers.ParserConfigurationException`

### createLinkageConfiguration

    public LinkageConfiguration createLinkageConfiguration(org.json.JSONObject jsonObject)
                                                    throws org.json.JSONException

  Throws:
    `org.json.JSONException`

### createDataSource

    public LinkageDataSource createDataSource(org.json.JSONArray array)
                                       throws org.json.JSONException

  Throws:
    `org.json.JSONException`

### createDataSource

    public LinkageDataSource createDataSource(java.util.Properties properties)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD